package domain


type AlibabaWdkChannelOrderCreateSubOrder struct {
    /*
        外部子单号     */
    SubOutOrderId  *string `json:"sub_out_order_id,omitempty" `

    /*
        商品编码     */
    SkuCode  *string `json:"sku_code,omitempty" `

    /*
        销售商品数量     */
    SaleQuantity  *int64 `json:"sale_quantity,omitempty" `

    /*
        销售单价     */
    SalePrice  *int64 `json:"sale_price,omitempty" `

    /*
        实际支付金额     */
    PayFee  *int64 `json:"pay_fee,omitempty" `

    /*
        原始金额     */
    OriginFee  *int64 `json:"origin_fee,omitempty" `

    /*
        优惠金额     */
    DiscountFee  *int64 `json:"discount_fee,omitempty" `

    /*
        营销优惠明细     */
    DiscountInfos  *[]AlibabaWdkChannelOrderCreateDiscountInfo `json:"discount_infos,omitempty" `

    /*
        加工方式说明, 非加工品不需要填写     */
    HandlingType  *string `json:"handling_type,omitempty" `

}

func (s *AlibabaWdkChannelOrderCreateSubOrder) SetSubOutOrderId(v string) *AlibabaWdkChannelOrderCreateSubOrder {
    s.SubOutOrderId = &v
    return s
}
func (s *AlibabaWdkChannelOrderCreateSubOrder) SetSkuCode(v string) *AlibabaWdkChannelOrderCreateSubOrder {
    s.SkuCode = &v
    return s
}
func (s *AlibabaWdkChannelOrderCreateSubOrder) SetSaleQuantity(v int64) *AlibabaWdkChannelOrderCreateSubOrder {
    s.SaleQuantity = &v
    return s
}
func (s *AlibabaWdkChannelOrderCreateSubOrder) SetSalePrice(v int64) *AlibabaWdkChannelOrderCreateSubOrder {
    s.SalePrice = &v
    return s
}
func (s *AlibabaWdkChannelOrderCreateSubOrder) SetPayFee(v int64) *AlibabaWdkChannelOrderCreateSubOrder {
    s.PayFee = &v
    return s
}
func (s *AlibabaWdkChannelOrderCreateSubOrder) SetOriginFee(v int64) *AlibabaWdkChannelOrderCreateSubOrder {
    s.OriginFee = &v
    return s
}
func (s *AlibabaWdkChannelOrderCreateSubOrder) SetDiscountFee(v int64) *AlibabaWdkChannelOrderCreateSubOrder {
    s.DiscountFee = &v
    return s
}
func (s *AlibabaWdkChannelOrderCreateSubOrder) SetDiscountInfos(v []AlibabaWdkChannelOrderCreateDiscountInfo) *AlibabaWdkChannelOrderCreateSubOrder {
    s.DiscountInfos = &v
    return s
}
func (s *AlibabaWdkChannelOrderCreateSubOrder) SetHandlingType(v string) *AlibabaWdkChannelOrderCreateSubOrder {
    s.HandlingType = &v
    return s
}
